Remove group owner
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Use this API to remove an owner from a Microsoft 365 group or a security group through the owners navigation property. When owners are assigned to a group, the last owner (a user object) of the group cannot be removed.
Note: For issues encountered when removing owner of a group associated with a team, see Known Issues.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Group.ReadWrite.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Group.ReadWrite.All, Directory.ReadWrite.All |
HTTP request
DELETE /groups/{id}/owners/{id}/$ref
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 204 No Content response code. It does not return anything in the response body.
Example
Request
The following is an example of the request.
DELETE https://graph.microsoft.com/beta/groups/{id}/owners/{id}/$ref
In the request, specify the id of the directory object you want to remove after the $ref segment.
Response
The following is an example of the response.
HTTP/1.1 204 No Content
See also
Feedback
Submit and view feedback for